Несколько уязвимостей в Rumpus

Дата публикации:
22.01.2007
Дата изменения:
24.03.2009
Всего просмотров:
1472
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-0019
CVE-2007-0366
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Повышение привилегий
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Rumpus 5.x
Уязвимые версии: Rumpus 5.1, возможно более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

1. Приложение вызывает "ipfw" без указания абсолютного пути к файлу. Злоумышленник может поместить специально сформированный "ipfw" бинарник в директорию приложения и выполнит его с привилегиями пользователя root, поскольку Rumpus является setiud приложением.

2. Уязвимость существует из-за ошибки проверки границ данных в службе FTP. Удаленный пользователь может с помощью специально сформированного пакета вызвать переполнение динамической памяти и вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

URL производителя: www.maxum.com/Rumpus/

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: http://projects.info-pull.com/moab/MOAB-18-01-2007.html

или введите имя

CAPTCHA